Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport.http
Class HttpMessageSender

    java.lang.Object
      org.codehaus.xfire.transport.http.HttpMessageSender

    public class HttpMessageSender

extends java.lang.Object

Http Sender

Since:
  Oct 26, 2004
Author:
  Dan Diephouse

Constructor Summary
`HttpMessageSender(java.lang.String urlString, java.lang.String encoding)`

Method Summary
`void` | `close()`
`java.lang.String` | `getAction()`
`InMessage` | `getInMessage()`
`java.io.OutputStream` | `getOutputStream()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getUsername()`
`void` | `open()`
`void` | `setAction(java.lang.String action)`
`void` | `setPassword(java.lang.String password)`
`void` | `setUrl(java.lang.String url)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpMessageSender

    public HttpMessageSender(java.lang.String urlString,
                             java.lang.String encoding)

Method Detail

### open

    public void open()
              throws java.io.IOException,
                     XFireFault

  Throws:
    `java.io.IOException`
    `XFireFault`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException,
                                                XFireFault

  Throws:
    `java.io.IOException`
    `XFireFault`

### getInMessage

    public InMessage getInMessage()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws XFireException

  Throws:
    `XFireException`

### getUrl

    public java.lang.String getUrl()

  Returns:
    Returns the url.

### setUrl

    public void setUrl(java.lang.String url)

  Parameters:
    `url` - The url to set.

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The password to set.

### getUsername

    public java.lang.String getUsername()

  Returns:
    Returns the username.

### setUsername

    public void setUsername(java.lang.String username)

  Parameters:
    `username` - The username to set.

### getAction

    public java.lang.String getAction()

### setAction

    public void setAction(java.lang.String action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.